Subject: Re: [PATCH v2 0/9] asan bonanza

From: Junio C Hamano <[email-masked]>
Date: Sat, 22 Nov 2025 21:49:22 -0800

Jeff King <[email-masked]> writes:

> Here's a v2 based on feedback:
>
>   - added the extra assertion in the midx code
>
>   - meson changes are squashed into patch 3
>
>   - The cache-tree integer parsing is more robust around total garbage
>     inputs (with no digits at all). I agree with the reviewers that it
>     would be nice to have a robust, reusable integer parsing function.
>     But I think it's non-trivial to do (and I left more comments in the
>     thread). I'd like to stick here to just fixing the memory issues
>     without making anything worse (which I think this version does).
>
>     Note that since the new helper takes an out-parameter, we have to
>     match the type more strictly to what the callers have. So it is now
>     parse_int(), and not parse_long().
>
> Range diff is below.
>
>   [1/9]: compat/mmap: mark unused argument in git_munmap()
>   [2/9]: pack-bitmap: handle name-hash lookups in incremental bitmaps
>   [3/9]: Makefile: turn on NO_MMAP when building with ASan
>   [4/9]: cache-tree: avoid strtol() on non-string buffer
>   [5/9]: fsck: assert newline presence in fsck_ident()
>   [6/9]: fsck: avoid strcspn() in fsck_ident()
>   [7/9]: fsck: remove redundant date timestamp check
>   [8/9]: fsck: avoid parse_timestamp() on buffer that isn't NUL-terminated
>   [9/9]: t: enable ASan's strict_string_checks option

Aside from the comment on strtol() replacement, this iteration did
not see any comments.  What do we want to do next with this series?